'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _findUp = require('find-up');

var _findUp2 = _interopRequireDefault(_findUp);

var _yargs = require('yargs');

var _yargs2 = _interopRequireDefault(_yargs);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parser = _yargs2.default.usage('Usage: $0 <globs>...').help('h').alias('h', 'help').version().options({
  write: {
    default: false,
    describe: 'Edit the file in-place (beware!)'
  },
  stdin: {
    default: false,
    describe: 'Read input via stdin'
  },
  eslintPath: {
    default: getPathInHostNodeModules('eslint'),
    describe: 'The path to the eslint module to use'
  },
  prettierPath: {
    default: getPathInHostNodeModules('prettier'),
    describe: 'The path to the prettier module to use'
  },
  log: {
    default: false,
    describe: 'Show logs'
  },
  sillyLogs: {
    default: false,
    describe: 'Show silly amount of logs (good for debugging)'
  }
});

exports.default = parser;


function getPathInHostNodeModules(module) {
  var modulePath = _findUp2.default.sync(`node_modules/${ module }`);
  if (modulePath) {
    return modulePath;
  } else {
    return _path2.default.relative(__dirname, `../node_modules/${ module }`);
  }
}